/* =========================================
   HERO SWIPER SECTION
========================================= */

.hero-slider {
    position: relative;
    overflow: hidden;
}

.heroSwiper {
    width: 100%;
    height: 100%;
}

/* Each Slide */

.hero-slide {
    position: relative;
    min-height: 660px;
    display: flex;
    align-items: center;
    padding: 0;
    background-size: cover;
    background-position: 90% center;
    background-repeat: no-repeat;
}

/* Background Images */

.slide-1 {
    background-image: url('../images/banner/1.webp');
}

.slide-2 {
    background-image: url('../images/banner/2.webp');
}

.slide-3 {
    background-image: url('../images/banner/3.webp');
}

.slide-4 {
    background-image: url('../images/banner/website-banner1.webp');
}

.slide-5 {
    background-image: url('../images/banner/infra/1.webp');
}

.slide-6 {
    background-image: url('../images/banner/infra/2.webp');
}

.slide-7 {
    background-image: url('../images/banner/infra/5.webp');
}

.slide-8 {
    background-image: url('../images/banner/infra/6.webp');
}

.slide-9 {
    background-image: url('../images/banner/infra/7.webp');
}

.slide-10 {
    background-image: url('../images/banner/infra/3.webp');
}

/* Optional Overlay */

/* .hero-slide::before {
    content: "";
    position: absolute;
    inset: 0;
    background: rgba(0,0,0,0.20);
    z-index: 1;
} */

/* Container */

.hero-container {
    display: block;
    width: 100%;
    position: relative;
    z-index: 2;
    margin-top: 150px;
}

/* Content */

.hero-content {
    max-width: 650px;
    margin-top: 100px;
    z-index: 2;
}

/* Label */

.label-wrapper {
    display: flex;
    align-items: center;
    gap: 10px;
    margin-bottom: 12px;
}

.label-wrapper .line {
    width: 25px;
    height: 2px;
    background: #8B166A;
}

.label-wrapper .label {
    font-family: 'Archivo', sans-serif;
    font-size: 12px;
    font-weight: 500;
    line-height: normal;
    color: #222;
    text-transform: uppercase;
    letter-spacing: 1px;
}

/* Heading */

.hero-content h1 {
    margin-bottom: 20px;
    color: #282c30;
}

/* Paragraph */

.hero-content p {
    margin-bottom: 30px;
    max-width: 600px;
    color: #222;
}

/* Button */

.btn-enquire {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 14px 32px;
    background: #8B166A;
    color: #fff;
    text-decoration: none;
    /* border-radius: 6px; */
    transition: 0.3s ease;
}

/* .btn-enquire:hover {
    background: #fff;
    color: #8B166A;
} */

/* Decorative Lamps */

.lamp {
    position: absolute;
    pointer-events: none;
    z-index: 2;
}

.lamp-1 {
    top: 0;
    left: 20%;
    width: 140px;
}

.lamp-2 {
    top: 0;
    right: 20%;
    width: 120px;
}

/* Swiper Pagination */

.swiper-pagination {
    bottom: 30px !important;
}

.swiper-pagination-bullet {
    background: #fff;
    opacity: 0.7;
}

.swiper-pagination-bullet-active {
    background: #8B166A;
    opacity: 1;
}

/* Swiper Navigation */

.swiper-button-next,
.swiper-button-prev {
    color: #fff;
}

/* =========================
   SWIPER NAVIGATION BUTTONS
========================= */

.swiper-button-next,
.swiper-button-prev {
    /* width: 55px; */
    /* height: 55px; */
    /* background: rgba(255, 255, 255, 0.15); */
    /* backdrop-filter: blur(8px); */
    /* border: 1px solid rgba(255,255,255,0.2); */
    border-radius: 50%;
    transition: all 0.3s ease;
}

/* Arrow Icons */

.swiper-button-next::after,
.swiper-button-prev::after {
    font-size: 16px;
    font-weight: 400;
    color: #fff;
}

@media (max-width: 991px) {

    .swiper-button-next,
    .swiper-button-prev {
        display: none;
    }

    .swiper-button-next::after,
    .swiper-button-prev::after {
        font-size: 8px;
        font-weight: 400;
        color: #fff;
        /* display: none; */
    }

    .hero-content {
        /* display: none; */
    }
}

/* Hover Effect */

.swiper-button-next:hover,
.swiper-button-prev:hover {
    /* background: #8B166A; */
    transform: translateY(-3px);
}

/* Position */

.swiper-button-prev {
    left: 30px;
}

.swiper-button-next {
    right: 30px;
}

/* Mobile Hide */

@media (max-width: 768px) {

    .swiper-button-next,
    .swiper-button-prev {
        display: none;
    }

}

/* =========================================
   RESPONSIVE
========================================= */

@media (max-width: 1200px) {

    .hero-content h1 {
        font-size: 50px;
    }
}

@media (max-width: 1024px) {

    .hero-slide {
        background-position: center;
    }

    .hero-container {
        text-align: center;
    }

    .hero-content {
        max-width: 100%;
        margin: 60px auto;
        display: flex;
        flex-direction: column;
        align-items: center;
    }

    .label-wrapper {
        justify-content: center;
    }

    .hero-content p {
        margin-left: auto;
        margin-right: auto;
    }

    .lamp {
        display: none;
    }
}

@media (max-width: 991px) {

    .hero-slide {
        min-height: 550px;
        padding: 40px 0;
    }

    .hero-content p {
        display: none;
    }

    .hero-content {
        margin-top: 60px !important;
    }
}

@media (max-width: 768px) {

    .hero-slide {
        min-height: 450px;
        padding: 40px 40px;
    }

    .hero-content p {
        display: none;
    }

    .hero-content h1 {
        font-size: 38px;
    }

    .hero-content {
        margin-top: 50px;
    }

    .swiper-button-next,
    .swiper-button-prev {
        display: none;
    }
}

@media (max-width: 576px) {

    .hero-slide {
        min-height: 380px;
        padding: 30px 20px;
    }

    .hero-content h1 {
        font-size: 32px;
    }

    .hero-content p {
        display: none;
    }
}

.swiper-horizontal>.swiper-pagination-bullets,
.swiper-pagination-bullets.swiper-pagination-horizontal,
.swiper-pagination-custom,
.swiper-pagination-fraction {
    display: none;
}